Delete several tags
POST
/tags/delete/batch
const url = 'https://feed.work.optidata.cloud/api/tags/delete/batch';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"tags":[89,90]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://feed.work.optidata.cloud/api/tags/delete/batch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "tags": [ 89, 90 ] }'Deletes the tags among the given ids that the caller is allowed to delete.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tags
required
Array<integer>
Examples
Exampleexample
{ "tags": [ 89, 90 ]}Responses
Section titled “ Responses ”The number of tags deleted.
Media typeapplication/json
integer
Examples
Exampleexample
2No authentication key was sent.
Media typeapplication/json
Authentication failures use an error key.
object
error
required
string
Examples
Exampleexample
{ "error": "JWT passport exception: Missing bearer token in request"}The authentication key is expired or not recognised. Get a fresh one and retry.
Media typeapplication/json
Authentication failures use an error key.
object
error
required
string
Examples
Exampleexample
{ "error": "JWT passport expired: Passport expired"}The request failed validation.
Media typeapplication/json
object
message
required
The first validation message.
string
errors
required
Messages keyed by field name.
object
key
additional properties
Array<string>
Examples
Exampleexample
{ "message": "The name field is required.", "errors": { "name": [ "The name field is required." ] }}